Bug 13685 - GUI install fails: "error opening security policy file"
GUI install fails: "error opening security policy file"
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
: 15697 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-10 20:58 EDT by Brent Nordquist
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-31 20:50:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Nordquist 2000-07-10 20:58:49 EDT
During a graphical install of Winston Beta-3, the 3.3.6 X server loaded,
and the RedHat splash screen was briefly displayed.  The following error
was then displayed:

error opening security policy file .../X11/xserver/SecurityPolicy
sending terminal signals

(sorry about the "..." above, it is only displayed briefly, so that's what
I was able to write down)

The machine then reboots, thus aborting the graphical install.  This is a
machine with a Diamond Viper V550 (nVidia RIVA TNT).
Comment 1 Brent Nordquist 2000-07-10 22:00:41 EDT
Strangely enough, when using the .new-boot.img posted by Erik Troan today, I get
all the way to the language selection screen (past this bug).  I'm surprised the
boot disk fixes this, but apparently that's the magic panacea for Beta-3.  :-)
Comment 2 Brent Nordquist 2000-07-10 23:58:37 EDT
...I noticed, at the end of a successful graphical install, that the above
security policy file error IS still appearing on VT1.  I guess that means this
bug (the sudden reboot during installation) was caused by something else that
was broken with Beta-3 but fixed by Erik's updated boot disk.
Comment 3 Jeremy Katz 2000-07-13 23:56:39 EDT
This message has been existence since (IIRC) 6.1 beta.  It's basically due to
the fact that a full install of XFree isn't included in the install image.  I
can't find the original bug report that I filed on this then with a quick
search.
Comment 4 Bill Nottingham 2000-07-22 16:43:54 EDT
Yes; the security policy thing is a red herring. Does
the *crash* persists with beta4 or later?
Comment 5 Brent Nordquist 2000-07-31 20:50:24 EDT
No, the crash does not happen with Pinstripe Beta-5.  However, the security
policy file error is still there in that release.
Comment 6 Bill Nottingham 2000-08-02 23:14:47 EDT
It's not really a problem with the install, as it doesn't
affect normal operation.
Comment 7 Bill Nottingham 2000-08-14 18:52:42 EDT
*** Bug 15697 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.